geos::operation::buffer::MinimalEdgeRing Class Reference

A ring of Edges with the property that no node has degree greater than 2. More...

`#include <MinimalEdgeRing.h>`

Inheritance diagram for geos::operation::buffer::MinimalEdgeRing:

## Public Member Functions

| MinimalEdgeRing (geomgraph::DirectedEdge *start, const geom::GeometryFactory *geometryFactory)
geomgraph::DirectedEdge * | getNext (geomgraph::DirectedEdge *de) override
void | setEdgeRing (geomgraph::DirectedEdge *de, geomgraph::EdgeRing *er) override
Public Member Functions inherited from geos::geomgraph::EdgeRing
| EdgeRing (DirectedEdge *newStart, const geom::GeometryFactory *newGeometryFactory)
bool | isIsolated ()
bool | isHole ()
geom::LinearRing * | getLinearRing ()
Label & | getLabel ()
bool | isShell ()
EdgeRing * | getShell ()
void | setShell (EdgeRing *newShell)
void | addHole (EdgeRing *edgeRing)
std::unique_ptr< geom::Polygon > | toPolygon (const geom::GeometryFactory *geometryFactory)
void | computeRing ()
std::vector< DirectedEdge * > & | getEdges ()
int | getMaxNodeDegree ()
void | setInResult ()
bool | containsPoint (const geom::Coordinate &p)
void | testInvariant () const

## Additional Inherited Members

Protected Member Functions inherited from geos::geomgraph::EdgeRing
void | computePoints (DirectedEdge *newStart)
void | mergeLabel (const Label &deLabel)
void | mergeLabel (const Label &deLabel, uint8_t geomIndex)
| Merge the RHS label from a DirectedEdge into the label for this EdgeRing.
void | addPoints (Edge *edge, bool isForward, bool isFirstEdge)
Protected Attributes inherited from geos::geomgraph::EdgeRing
DirectedEdge * | startDe
const geom::GeometryFactory * | geometryFactory
std::vector< std::unique_ptr< EdgeRing > > | holes
| a list of EdgeRings which are holes in this EdgeRing

## Detailed Description

A ring of Edges with the property that no node has degree greater than 2.

These are the form of rings required to represent polygons under the OGC SFS spatial data model.

See also
  operation::buffer::MaximalEdgeRing

## Member Function Documentation

## getNext()

geomgraph::DirectedEdge * geos::operation::buffer::MinimalEdgeRing::getNext | ( | geomgraph::DirectedEdge * | de | ) |

inline override virtual

Implements geos::geomgraph::EdgeRing.

## setEdgeRing()

void geos::operation::buffer::MinimalEdgeRing::setEdgeRing | ( | geomgraph::DirectedEdge * | de,
|  | geomgraph::EdgeRing * | er )

inline override virtual

Implements geos::geomgraph::EdgeRing.

The documentation for this class was generated from the following file:

- MinimalEdgeRing.h